org.apache.fop.pdf

## Class PDFNavigator.Resolver

- java.lang.Object
- - org.apache.fop.pdf.PDFNavigator.Resolver

Enclosing class:
  PDFNavigator

    public abstract static class PDFNavigator.Resolver
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Resolver(PDFNavigator navigator, Object extension)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `getExtension()`
`PDFNavigator` `getNavigator()`
`protected void` `performResolution()`
`void` `resolve()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Resolver

    public Resolver(PDFNavigator navigator,
                    Object extension)

### Method Detail

#### getNavigator

    public PDFNavigator getNavigator()

#### getExtension

    public Object getExtension()

#### resolve

    public void resolve()

#### performResolution

    protected void performResolution()